# Flight Control Panel

When playing space and flight sims with a HOTAS or HOSAS, it's easy to run out of keybinds. This project is a "control panel" that acts as a standard USB joystick, expanding your button options without resorting to the keyboard. Extra immersive, feels good.

## Files

Contained in this directory are the Arduino sketch (which requires my [Arduino Joystick]() library), Eagle files and PDF schematic for the custom "shield" PCB, and an Adobe Illustrator template for the panel's front profile. The `gallery/` directory contains work-in-progress and finished images of the project.

## Parts

List of parts used (part numbers included in case links expire):

* [Plastic Enclosure](https://www.amazon.com/gp/product/B07D23BF7Y/ref=ppx_yo_dt_b_search_asin_title?ie=UTF8&psc=1) (LeMotech lm201805132201). Everything is, of course, dimensioned to this.
* [Arduino Uno Rev3](https://store-usa.arduino.cc/products/arduino-uno-rev3/?gclid=Cj0KCQiAkNiMBhCxARIsAIDDKNXaPb3K0y4hHG6RWk_sdPSYBskSyKtpu6v2ob8dHQ2mQLwbqx_UnqQaAn7IEALw_wcB).
* [Sparkfun 16-channel multiplexer breakout](https://www.sparkfun.com/products/9056), a 74HC4067 multiplexer on a little breakout board. If I were designing this again from scratch, I would get a through-hole mounted multiplexer without the breakout, since I ended up doing a custom PCB anyway.
* [Rotary Encoders](https://www.digikey.com/en/products/detail/cui-devices/ACZ16NBR1E-15FD1-12C/1923376) (CUI Devices ACZ16NBR1E-15FD1-12C) and [knobs](https://www.digikey.com/en/products/detail/kilo-international/OEJNI-75-2-7/5970389) (Kilo International OEJNI-75-2-7). These encoders are *weird*, with the common pin being on one of the ends instead of in the middle, as seems to be standard.
* [Square Pushbuttons](https://www.digikey.com/en/products/detail/cw-industries/GPB023A05BR/2235498) (CW Industries GPB023A05BR). These are a little stiff and actuate around halfway depressed. Not my favorite buttons ever.
* [Toggle Switches (top row)](https://www.digikey.com/en/products/detail/e-switch/100SP1T4B1M1QEH/378836) (E-Switch 100SP1T4B1M1QEH).
* [Toggle Switches (smaller ones)](https://www.amazon.com/gp/product/B016Q9X8AW/ref=ppx_yo_dt_b_search_asin_title?ie=UTF8&psc=1) (Podoy 1U2166). Leftover from an old project.
* [Round pushbuttons](https://www.amazon.com/gp/product/B00HGAME6U/ref=ppx_yo_dt_b_search_asin_title?ie=UTF8&psc=1) (Uxcell A13112100ux1077). Leftover from an old project.
* Tons of "dupont" 2.54mm pitch connectors, housings, and header pins, for example from [this kit](https://www.amazon.com/gp/product/B078RRPRQZ/ref=ppx_yo_dt_b_search_asin_title?ie=UTF8&psc=1).
